type: object
title: Aircraft Configuration
version: 1.0.0
properties:
  metadata:
    description: Metadata when the record is processed
    title: Metadata
    type: object
  registration:
    description: Registration of the Aircraft
    examples:
    - BLBK
    - BLXN
    maxLength: 10
    title: Registration
    type: string
  valid_since:
    description: Start of validity
    format: date-time
    title: Valid Since
    type: string
  valid_until:
    description: End of validity
    format: date-time
    title: Valid Until
    type: string
  ac_operator:
    description: Aircraft Operator
    examples:
    - CX
    - KA
    maxLength: 3
    title: Ac Operator
    type: string
  ac_owner:
    description: Owner of the aircraft
    examples:
    - CX
    - KA
    maxLength: 3
    title: Ac Owner
    type: string
  ac_subtype:
    description: Subtype of the aircraft
    maxLength: 3
    title: Ac Subtype
    type: string
  ac_logical_no:
    description: Logical number of the Aircraft
    title: Ac Logical No
    type: integer
  ac_state:
    description: Status of Aircraft('R'=real and 'O'=overflow)
    enum:
    - R
    - O
    maxLength: 1
    title: Ac State
    type: string
  dry_operating_wgt:
    description: Dry Operating Weight (kg)
    title: Dry Operating Wgt
    type: integer
  max_takeoff_wgt:
    description: Max Takeoff Weight (kg)
    title: Max Takeoff Wgt
    type: integer
  cargo_capacity:
    description: Cargo Capacity (kg)
    title: Cargo Capacity
    type: integer
  fuel_capacity:
    description: Fuel Capacity (kg)
    title: Fuel Capacity
    type: integer
  avg_fuel_consump:
    description: Average Fuel Consumption (kg per hour)
    title: Avg Fuel Consump
    type: integer
  ac_index:
    description: Aircraft index
    title: Ac Index
    type: integer
  crewsize_cockpit:
    description: Number of Cockpit Crewmembers
    title: Crewsize Cockpit
    type: integer
  crewsize_cabin:
    description: Number of Cabin Crewmembers
    title: Crewsize Cabin
    type: integer
  std_version:
    description: Aircraft Standard Version
    maxLength: 20
    title: Std Version
    type: string
  ap_restriction:
    description: Airport Restriction - e.g. Political Reason, Performance('Y' or 'N')
    examples:
    - N
    - Y
    - R
    maxLength: 1
    title: Ap Restriction
    type: string
  ac_owner_name:
    description: Full Name of Owner
    maxLength: 30
    title: Ac Owner Name
    type: string
  ac_subtype_name:
    description: Full Name of Subtype
    maxLength: 30
    title: Ac Subtype Name
    type: string
  ac_category:
    description: SSIM-Category of Aircraft
    maxLength: 1
    title: Ac Category
    type: string
  remark:
    anyOf:
    - maxLength: 80
      type: string
    - type: 'null'
    default: null
    description: Additional remarks
    title: Remark
  fuel_measure_unit:
    description: Unit for fuel
    maxLength: 3
    title: Fuel Measure Unit
    type: string
  ac_callsign:
    anyOf:
    - maxLength: 5
      type: string
    - type: 'null'
    default: null
    description: Callsign of aircraft
    title: Ac Callsign
  radio:
    anyOf:
    - maxLength: 1
      type: string
    - type: 'null'
    default: null
    description: Radio type
    title: Radio
  noise:
    anyOf:
    - type: integer
    - type: 'null'
    default: null
    description: ICAO noise chapter
    title: Noise
  phone:
    anyOf:
    - maxLength: 20
      type: string
    - type: 'null'
    default: null
    description: Onboard mobile phone number
    title: Phone
  special_equipment:
    anyOf:
    - maxLength: 40
      type: string
    - type: 'null'
    default: null
    description: Special equipment
    title: Special Equipment
  acars:
    anyOf:
    - maxLength: 1
      type: string
    - type: 'null'
    default: null
    description: ACARS type
    enum:
    - V
    - H
    - S
    title: Acars
  alt_reg:
    anyOf:
    - maxLength: 10
      type: string
    - type: 'null'
    default: null
    description: Alternate Registration
    title: Alt Reg
  record_id:
    default: 0
    description: Record ID
    title: Record Id
    type: integer
  last_update:
    anyOf:
    - format: date-time
      type: string
    - type: 'null'
    default: null
    description: Timestamp of last update
    title: Last Update
  last_update_user_id:
    anyOf:
    - maxLength: 32
      type: string
    - type: 'null'
    default: null
    description: User ID of last update
    title: Last Update User Id
  std_version_alt_1:
    anyOf:
    - maxLength: 20
      type: string
    - type: 'null'
    default: null
    description: Alternative Aircraft Version 1
    title: Std Version Alt 1
  std_version_alt_2:
    anyOf:
    - maxLength: 20
      type: string
    - type: 'null'
    default: null
    description: Alternative Aircraft Version 2
    title: Std Version Alt 2
  std_version_alt_3:
    anyOf:
    - maxLength: 20
      type: string
    - type: 'null'
    default: null
    description: Alternative Aircraft Version 3
    title: Std Version Alt 3
  std_version_alt_4:
    anyOf:
    - maxLength: 20
      type: string
    - type: 'null'
    default: null
    description: Alternative Aircraft Version 4
    title: Std Version Alt 4
  ils_equipment:
    default: I
    description: aircraft equipment supporting ILS CAT approaches(I, II, IIIa, IIIb)
    enum:
    - I
    - II
    - IIIa
    - IIIb
    maxLength: 4
    title: Ils Equipment
    type: string
  autoland:
    default: N
    description: Autoland capability indicator
    enum:
    - Y
    - N
    maxLength: 1
    title: Autoland
    type: string
  homebase:
    anyOf:
    - maxLength: 3
      type: string
    - type: 'null'
    default: null
    description: Homebase of the aircraft (IATA CODE)
    title: Homebase
  aircraft_owner:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Aircraft Owner from subfleet
    title: Aircraft Owner
  aircraft_subtype:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Subtype of the Aircraft from subfleet
    title: Aircraft Subtype
  fleet_print_code:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Fleet Print Code
    title: Fleet Print Code
  rotational_flag:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Rotational Flag Y/N (Yes/No)
    title: Rotational Flag
  standard_configuration:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Standard Configuration AC_VERSION.AC_VERSION
    title: Standard Configuration
  payload:
    anyOf:
    - type: number
    - type: 'null'
    default: null
    description: Payload
    title: Payload
  mtom:
    anyOf:
    - type: number
    - type: 'null'
    default: null
    description: Maximum Take-Off Mass
    title: MTOM
  max_range:
    anyOf:
    - type: number
    - type: 'null'
    default: null
    description: Maximum Range
    title: Max Range
  noise_category:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Noise Category
    title: Noise Category
  average_speed:
    anyOf:
    - type: number
    - type: 'null'
    default: null
    description: Average Speed
    title: Average Speed
  aircraft_group:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Group of the Aircraft
    title: Aircraft Group
  icao_code:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: ICAO Code
    title: ICAO Code
  name:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Fleet Type Name
    title: Name
  body_type:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Body Type N/W (Narrow/Wide)
    title: Body Type
  category:
    anyOf:
    - type: string
    - type: 'null'
    default: null
    description: Category H/J/P/S/T
    title: Category
  aircraft_compartment:
    description: List of aircraft compartments with seat configurations
    items:
      type: object
    title: Aircraft Compartment
    type: array
  aircraft_restriction:
    description: List of aircraft restrictions with constraint codes
    items:
      type: object
    title: Aircraft Restriction
    type: array
required:
- metadata
- registration
- valid_since
- valid_until
- ac_operator
- ac_owner
- ac_subtype
- ac_logical_no
- ac_state
- dry_operating_wgt
- max_takeoff_wgt
- cargo_capacity
- fuel_capacity
- avg_fuel_consump
- ac_index
- crewsize_cockpit
- crewsize_cabin
- std_version
- ap_restriction
- ac_owner_name
- ac_subtype_name
- ac_category
- fuel_measure_unit

